---
deployment:
  tasks:
    - export DEPLOYPATH=/home/cascapedia/public_html
    - composer install
    - pnpm --dir ./wp-content/themes/cascapedia-st-jules install
    - pnpm --dir ./wp-content/themes/cascapedia-st-jules build
    - mkdir -p ${DEPLOYPATH}/vendor/
    - rsync -av ./vendor/ ${DEPLOYPATH}/vendor/ --delete
    - mkdir -p ${DEPLOYPATH}/wp-content/mu-plugins/
    - rsync -av ./wp-content/mu-plugins/ ${DEPLOYPATH}/wp-content/mu-plugins/ --delete
    - rsync -av ./wp-content/plugins/ ${DEPLOYPATH}/wp-content/plugins/ --delete
    - rsync -av ./wp-content/themes/ ${DEPLOYPATH}/wp-content/themes/ --delete --exclude=node_modules
